<?php

declare(strict_types=1);

namespace Gls\GlsPoland\Soap\Engine;

use Gls\GlsPoland\Soap\Engine\HttpBinding\SoapResponse;

interface DecoderInterface
{
    /**
     * @return mixed
     */
    public function decode(string $method, SoapResponse $response);
}
